%define _disable_ld_no_undefined 1

%define version 2.4.4
%define rel 3

Summary: Simple console audio player
Name: moc
Version: %{version}
Release: %mkrel %{rel}
URL: http://moc.daper.net/
Source0: ftp://ftp.daper.net/pub/soft/%{name}/stable/%{name}-%{version}.tar.bz2
Patch0: moc-2.4.3-layout-1-is-malformed-fix.patch
Patch1: moc-2.4.3-fix-str-fmt.patch
License: GPL
Group: Sound
BuildRequires: ncurses-devel mad-devel curl-devel
BuildRequires: speex-devel oggvorbis-devel libmpcdec-devel
BuildRequires: libalsa-devel
# do not compile
#BuildRequires: libflac-devel
BuildRequires: libid3tag-devel taglib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MOC is a console audio player with ncurses interface
Features:

        * Supports MP3, WAV, and OGG formats.
        * Play files from directory changing automatically to the next one
          without any playlist.
        * Supports id3tag, VBR and Xing header for MP3.
        * Simple mixer.
        * Fast switching to your music directory.
        * Playlists (without read/write to a file).
        * Shuffle and repeat.
        * Changing process priority to higher value.
        * Playing in separate thread.

%prep
%setup -q
#%patch0 -p0
%patch1 -p0

%build
%configure2_5x
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf $RPM_BUILD_ROOT/usr/share/doc/
rm -rf $RPM_BUILD_ROOT/%_libdir/*/*/*la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING AUTHORS NEWS README TODO
%doc config.example keymap.example
%{_bindir}/mocp
%{_mandir}/*/*
%{_libdir}/%{name}/
%{_datadir}/%{name}/


%changelog
* Thu Oct 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.4-3mdv2010.0
+ Revision: 455895
- rebuild for new curl SSL backend

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.4.4-2mdv2010.0
+ Revision: 440052
- rebuild

* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 2.4.4-1mdv2009.1
+ Revision: 342484
- New upstream release

* Fri Dec 26 2008 Funda Wang <fundawang@mandriva.org> 2.4.3-2mdv2009.1
+ Revision: 319267
- fix stfmt
- add upstream bug fix

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.4.3-1mdv2008.1
+ Revision: 136602
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 30 2007 Funda Wang <fundawang@mandriva.org> 2.4.3-1mdv2008.0
+ Revision: 56707
- New version 2.4.3

* Thu Jul 19 2007 Funda Wang <fundawang@mandriva.org> 2.4.2-1mdv2008.0
+ Revision: 53510
- New version

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 2.4.1-1mdv2008.0
+ Revision: 19971
- upgrade to 2.4.1


* Wed Mar 21 2007 Michael Scherer <misc@mandriva.org> 2.4.0-2mdv2007.1
+ Revision: 147525
- Rebuild for new libcurl, and complete BuildRequires
- Import moc

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.4.0-1mdk
- New release 2.4.0

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-3mdk
- Fix BuildRequires

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 2.3.2-2mdk
- fix BuildRequires

* Thu Nov 24 2005 Michael Scherer <misc@mandriva.org> 2.3.2-1mdk
- New release 2.3.2
- mkrel

* Sat Aug 06 2005 Michael Scherer <misc@mandriva.org> 2.3.1-1mdk
- New release 2.3.1

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 1.1.0-3mdk
- Buildrequires
- Some spec improvement

* Tue Aug 24 2004 dams <dams@libconf.net> 1.1.0-2mdk
- rebuild because of glibc change

* Sat Jun 26 2004 dams <dams@libconf.net> 1.1.0-1mdk
- first ebuild^W package

